# Enum Class ConsoleOutput

java.lang.Object
java.lang.Enum<ConsoleOutput>
org.gradle.api.logging.configuration.ConsoleOutput

All Implemented Interfaces:
  `Serializable, Comparable<ConsoleOutput>, Constable`

@Incubating public enum ConsoleOutput extends Enum<ConsoleOutput>
Specifies how to treat color and dynamic console output.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Auto`
Enable color and rich output when the current process is attached to a console, disable when not attached to a console.
`Plain`
Disable all color and rich output.
`Rich`
Enable color and rich output, regardless of whether the current process is attached to a console or not.
`Verbose`
Enable color and rich output like Rich, but output more detailed message.

## Method Summary

Modifier and Type
Method
Description
`static ConsoleOutput`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConsoleOutput[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Plain

public static final ConsoleOutput Plain
Disable all color and rich output. Generate plain text only.

### Auto

public static final ConsoleOutput Auto
Enable color and rich output when the current process is attached to a console, disable when not attached to a console.

### Rich

public static final ConsoleOutput Rich
Enable color and rich output, regardless of whether the current process is attached to a console or not. When not attached to a console, the color and rich output is encoded using ANSI control characters.

### Verbose

public static final ConsoleOutput Verbose
Enable color and rich output like Rich, but output more detailed message.

Since:
  4.3

## Method Details

### values

public static ConsoleOutput[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConsoleOutput valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null